<?php

namespace App\Http\Controllers;

use App\Mail\ContactMail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use RealRashid\SweetAlert\Facades\Alert;
use Swift_TransportException;

class ContactController extends Controller
{

    public function showForm()
    {
        return view('email.contact');
    }
    public function sendEmail(Request $request)
    {
        $details = [
            'name' => $request->input('name'),
            'mail' => $request->input('mail'),
            'subject' => $request->input('subject'),
            'message' => $request->input('message'),
        ];

        try {
            Mail::to($details['mail'])->send(new ContactMail($details));
            Alert::success('Message', 'L\'e-mail a été envoyé avec succès.');
            return redirect()->back()->with('');
        } catch (\Exception $e) {
            Alert::error('Erreur', 'Une erreur s\'est produite lors de l\'envoi de l\'e-mail. Veuillez réessayer plus tard.');
            return redirect()->back()->with('');
        }
    }




}
